#386 configure error

Bug
closed-fixed
nobody
None
5
2017-07-29
2008-07-03
Anonymous
No

3.3.1 configure complains with:

checking cdda_interface.h usability... yes
checking cdda_interface.h presence... yes
checking for cdda_interface.h... yes
checking cdda_paranoia.h usability... no
checking cdda_paranoia.h presence... yes
configure: WARNING: cdda_paranoia.h: present but cannot be compiled
configure: WARNING: cdda_paranoia.h: check for missing prerequisite headers?
configure: WARNING: cdda_paranoia.h: see the Autoconf documentation
configure: WARNING: cdda_paranoia.h: section "Present But Cannot Be Compiled"
configure: WARNING: cdda_paranoia.h: proceeding with the preprocessor's result
configure: WARNING: cdda_paranoia.h: in the future, the compiler will take precedence
configure: WARNING: ## --------------------------------------------------------------- ##
configure: WARNING: ## Report this to http://sf.net/tracker/?group_id=3714&atid=103714 ##
configure: WARNING: ## --------------------------------------------------------------- ##
checking for cdda_paranoia.h... yes
checking cdda/cdda_interface.h usability... no
checking cdda/cdda_interface.h presence... no
checking for cdda/cdda_interface.h... no
checking cdda/cdda_paranoia.h usability... no
checking cdda/cdda_paranoia.h presence... no
checking for cdda/cdda_paranoia.h... no
checking for main in -lcdda_interface... yes
using shared cdparanoia libraries

My system has: cdparanoia-III10pre0

configure finishes though and seems to work ok.

Discussion

  • Nobody/Anonymous

    Logged In: NO

    I grabed some CDs and all went well. Looks like functionally it's not affected.

     
  • Solbu

    Solbu - 2017-07-29
    • status: open --> closed-fixed
     
  • Solbu

    Solbu - 2017-07-29

    A patch we received disables the warning.

     

Log in to post a comment.